Subject: luks mapped-devices does not support multiple mapped-devices

From: ng0 <[email-masked]>
Date: Thu, 2 Mar 2017 16:21:19 +0000

While I'm trying to solve this[0] issues, rekado suggested to either use
a let or a define for the initial error I encountered.

This lead to the system config which can be seen here:
http://paste.lisp.org/display/340362#1 , still resulting in error:

user@greendragon ~$ guix system build /etc/config.scm                                                                              
guix system: error: service 'file-system-/mnt/dg2' requires
'file-system-/', which is not provided by any service

My guess is that mapped-devices does not consider cases where more than
one luks-device is present. I haven't tried the final use-case yet which
is bringing raid-mapped-devices in there, I expect this not to happen
before this issue is fixed, to have isolated and not multiple causes of
failure/errors.

Should the lisp.org paste disappear I can append my system config, for
now the paste is enough.

0: https://lists.gnu.org/archive/html/guix-devel/2017-03/msg00024.html